summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..107c9c3216e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Helder Bertoldo <helder.bertoldo@gmail.com>
+# Contributor:
+
+_gitname=mindi
+_author=torikulhabib
+pkgname=("${_gitname}-converter-git")
+pkgver=latest
+pkgrel=1
+pkgdesc="Simple Video to audio Converter. Designed for Pantheon Shell"
+arch=('i686' 'x86_64')
+url="https://github.com/${_author}/${_gitname}"
+license=('GPL3')
+depends=('gtk3' 'granite' 'glib2')
+optdepends=('')
+makedepends=('git' 'meson' 'ninja' 'vala')
+provides=("${_gitname}-converter")
+conflicts=("${_gitname}-converter")
+source=("git+${url}.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${_gitname}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "${_gitname}/"
+ meson . _build --prefix=/usr
+ ninja -C _build
+}
+
+package() {
+ cd "${_gitname}/"
+ DESTDIR="${pkgdir}" ninja -C _build install
+}
+